<?php

namespace STM\Match;

use STM\Utils\Classes;
use \Exception;

/**
 * Test class for ScoreType.
 * Generated by PHPUnit on 2011-08-28 at 10:38:16.
 * @group match
 */
class ScoreTypeTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;
    private $valid_values;

    protected function setUp() {
        $this->valid_values = array('F', 'T');
        $this->bad_values = array('dsadas', null, false, array(), 235, new Exception());
    }

    protected function tearDown() {}

    public function testGet_name() {
        foreach ($this->valid_values as $value) {            
            $this->assertTrue(Classes::isClassConstant('\STM\Match\ScoreType', ScoreType::getName($value)));
        }

        foreach ($this->bad_values as $value) {
            $this->assertFalse(Classes::isClassConstant('\STM\Match\ScoreType', ScoreType::getName($value)));
            $this->assertTrue(ScoreType::getName($value) == 'Invalid Type');
        }
    }

    // always return score query
    public function testGet_score_query() {
        foreach ($this->bad_values as $value) {
            $this->assertTrue(is_string(ScoreType::getScoreQuery(ScoreType::FOOTBALL)));
            $this->assertTrue(is_string(ScoreType::getScoreQuery(ScoreType::TENNIS, true)));
            $this->assertTrue(is_string(ScoreType::getScoreQuery(ScoreType::FOOTBALL, $value)));
            $this->assertTrue(is_string(ScoreType::getScoreQuery($value)));
            $this->assertTrue(is_string(ScoreType::getScoreQuery($value, $value)));
        }
    }

}

?>
